org.apache.sling.jcr.jackrabbit.server.impl

## Class Activator

- java.lang.Object
- - org.apache.sling.jcr.jackrabbit.server.impl.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator
    extends Object
    implements org.osgi.framework.BundleActivator

The `Activator` TODO

### Field Summary

Fields
`static String` `SERVER_REPOSITORY_FACTORY_PID`
`static String` `SLING_CONTEXT` The name of the configuration property naming the Sling Context for which a factory configuration has been created.
`static String` `SLING_CONTEXT_DEFAULT` The name of the framework property containing the default sling context name.

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

Methods
`static AccessManagerFactoryTracker` `getAccessManagerFactoryTracker()`
`static LoginModulePlugin[]` `getLoginModules()` Returns the registered `LoginModulePlugin` services.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext arg0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVER_REPOSITORY_FACTORY_PID

    public static final String SERVER_REPOSITORY_FACTORY_PID

See Also:
  Constant Field Values

#### SLING_CONTEXT

    public static final String SLING_CONTEXT

The name of the configuration property naming the Sling Context for which a factory configuration has been created.

See Also:
  Constant Field Values

#### SLING_CONTEXT_DEFAULT

    public static final String SLING_CONTEXT_DEFAULT

The name of the framework property containing the default sling context name.

See Also:
  Constant Field Values

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`

#### stop

    public void stop(org.osgi.framework.BundleContext arg0)

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`

#### getLoginModules

    public static LoginModulePlugin[] getLoginModules()

Returns the registered `LoginModulePlugin` services. If there are no `LoginModulePlugin` services registered, this method returns an empty array. `null` is never returned from this method.

#### getAccessManagerFactoryTracker

    public static AccessManagerFactoryTracker getAccessManagerFactoryTracker()